Component.ValueGenerationPlan (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Component.ValueGenerationPlan

    java.lang.Object
      org.hibernate.mapping.Component.ValueGenerationPlan

All Implemented Interfaces:
  CompositeNestedGeneratedValueGenerator.GenerationPlan

Enclosing class:
  Component

    public static class Component.ValueGenerationPlan

extends Object
implements CompositeNestedGeneratedValueGenerator.GenerationPlan

Constructor Summary
`Component.ValueGenerationPlan(String propertyName, IdentifierGenerator subGenerator, Setter injector)`

Method Summary
`void` | `execute(SessionImplementor session, Object incomingObject, Object injectionContext)` Execute the value generation.
`void` | `registerPersistentGenerators(Map generatorMap)` Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Component.ValueGenerationPlan

    public Component.ValueGenerationPlan(String propertyName,
                                         IdentifierGenerator subGenerator,
                                         Setter injector)

Method Detail

### execute

    public void execute(SessionImplementor session,
                        Object incomingObject,
                        Object injectionContext)

  Execute the value generation.

  Specified by:
    `execute` in interface `CompositeNestedGeneratedValueGenerator.GenerationPlan`
  Parameters:
    `session` - The current session
    `incomingObject` - The entity for which we are generating id
    `injectionContext` - The context into which the generated value can be injected

### registerPersistentGenerators

    public void registerPersistentGenerators(Map generatorMap)

  Description copied from interface: `CompositeNestedGeneratedValueGenerator.GenerationPlan`
  Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

  Specified by:
    `registerPersistentGenerators` in interface `CompositeNestedGeneratedValueGenerator.GenerationPlan`
  Parameters:
    `generatorMap` - The map of generators.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.